%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global alphatag a1

Name:           RunSnakeRun
Version:        2.0.4
Release:        3%{?dist}
Summary:        GUI Viewer for Python profiling runs

Group:          Development/Languages
License:        BSD
URL:            http://www.vrplumber.com/programming/runsnakerun/
Source0:        http://pypi.python.org/packages/source/R/RunSnakeRun/RunSnakeRun-%{version}.tar.gz
Source1:        RunSnakeRun.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  desktop-file-utils

# setup.py has:
#        install_requires = [
#            'SquareMap >= 1.0.1b3',
#        ],
Requires:       python-squaremap >= 1.0.1-0.1.b3

%description
RunSnakeRun is a small GUI utility that allows you to view (Python) "cProfile"
or "Profile" profiler dumps in a sortable GUI view.  It allows you to explore
the profiler information using a "square map" visualization or sortable tables
of data.

%prep
%setup -q -n %{name}-%{version}

# Remove redundant shebang from runsnake.py:
sed -i -e '/^#!/, 1d' runsnakerun/runsnake.py

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

desktop-file-install --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE1}
 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc license.txt doc
%{_bindir}/runsnake
%{_bindir}/runsnakemem
%{python_sitelib}/runsnakerun
%{python_sitelib}/RunSnakeRun*.egg-info
%{_datadir}/applications/RunSnakeRun.desktop

%changelog
* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Jan 09 2014 Matej Stuchlik <mstuchli@redhat.com> - 2.0.4-1
- Updated to 2.0.4

* Fri Aug 02 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.2-0.4.a1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.2-0.3.a1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.2-0.2.a1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 27 2012 David Malcolm <dmalcolm@redhat.com> - 2.0.2-0.1.a1
- 2.0.2a1, bumping requirement on python-squaremap.  Adds /usr/bin/runsnakemem

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-0.7.b6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-0.6.b6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 30 2010 David Malcolm <dmalcolm@redhat.com> - 2.0.0-0.5.b6
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Mar 12 2010 David Malcolm <dmalcolm@redhat.com> - 2.0.0-0.4.b6
- new upstream version (2.0.0b6): adds source view, documentation

* Mon Mar  8 2010 David Malcolm <dmalcolm@redhat.com> - 2.0.0-0.4.b4
- add build-time requirement on python-setuptools

* Wed Mar  3 2010 David Malcolm <dmalcolm@redhat.com> - 2.0.0-0.3.b4
- remove redundant shebang from runsnakerun.py

* Tue Mar  2 2010 David Malcolm <dmalcolm@redhat.com> - 2.0.0-0.2.b4
- add license.txt
- explicitly list egg-info in %%files
- add a desktop file
- reworded package description

* Wed Feb 24 2010 David Malcolm <dmalcolm@redhat.com> - 2.0.0-0.1.b4
- initial package

